Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 229142

Summary: [SECURITY] Does not drop supplementary groups
Product: [Fedora] Fedora Reporter: Enrico Scholz <rh-bugzilla>
Component: ss5Assignee: Matteo Ricchetti <matteo.ricchetti>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 8CC: matteo.ricchetti, triage
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: bzcl34nup
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-01-09 07:04:45 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Enrico Scholz 2007-02-18 11:50:33 UTC
Description of problem:

ss5 uses setuid() + setgid() in a wrong way and does not drop supplementary
groups. Please see upstream report at 
http://sourceforge.net/tracker/index.php?func=detail&aid=1662770&group_id=153586&atid=788359
for more details and suggested fixes.


Version-Release number of selected component (if applicable):

ss5-3.5.9-4

Comment 1 Matteo Ricchetti 2007-04-17 09:40:07 UTC
After applying this code, some users got this problem:

ss5 3.6.2 fails to start within a chroot jail
on Linux Fedora Core 6, unlike a previous
ss5 3.4 build.

The error message 3.6.2 produces is:

[ERRO] User nobody not found.

Even with using the -u flag to set the user to
the invoking user I still can't start ss5.
Apparently this is new code in 3.6.2 that wasn't
in 3.4. The offending call appears to be the
call to initgroups() which may not work within
the chroot jail.

I have a workaround which involves #ifdef'ing
the S5UIDSet() call in SS5Main.c since I already
have the UID/GID that I want, but it would be
very handy to figure out why this doesn't work
within a chroot jail. At the least having an
option to ignore the initgroups() return would
be useful for this case.


Comment 2 Bug Zapper 2008-04-04 06:16:50 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 3 Enrico Scholz 2008-04-04 07:35:31 UTC
f8 has still affected ss5-3.5.9-4

Comment 4 John Poelstra 2008-04-04 21:45:09 UTC
thanks for the update!

Comment 5 Bug Zapper 2008-11-26 07:11:17 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2009-01-09 07:04:45 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.